> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.orinlabs.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List API Keys



## OpenAPI

````yaml GET /api/organizations/api-keys/
openapi: 3.0.3
info:
  title: Bedrock API
  version: 1.0.0
  description: API for managing agent templates, agents, organizations, and adapter state
servers: []
security: []
paths:
  /api/organizations/api-keys/:
    get:
      tags:
        - organizations
      operationId: organizations_api_keys_list
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/APIKey'
          description: ''
      security:
        - tokenAuth: []
        - APIKeyAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    APIKey:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        key:
          type: string
          nullable: true
          description: Only show full key on creation. After that, show masked version.
          readOnly: true
        name:
          type: string
          maxLength: 255
        is_active:
          type: boolean
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - created_at
        - id
        - key
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````